Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I need to install an older kernel version (3.2.0-24-generic) on an existing Ubuntu 12.04.3 (3.8.0-34-generic) LAMP server and a new install Ubuntu 12.04.4 (3.11). After the installation I will need to stop the kernel from updating. Both servers are VMs on a ESX 5.5 host. I have some software that is only supported on 12.04 and 3.2.0 kernel that I would like to install on these two servers.

Here are my questions:

Will installing and using an older kernel affect any software currently installed?

Are there any negative effects to downgrading the kernel?

Is the process below correct for what I am trying to do?

What I have found so far on how to do this is...

Install 3.2.0-24 kernel

    sudo apt-get install linux-image-3.2.0-24-generic linux-headers-3.2.0-24-generic

Make a backup of grub

    sudo cp /etc/default/grub /etc/default/grub.bak

Edit grub to set default kernel at boot

    sudo gedit /etc/default/grub

Change line GRUB_DEFAULT=0 to GRUB_DEFAULT=”2>0” and saved changes

Update Grub

    sudo update-grub

Place a DPKG hold on the kernel to stop it from updating

    echo “linux-image-3.2.0-24-generic hold” | sudo dpkg --set-selections
    echo “linux-headers-3.2.0-24-generic hold” | sudo dpkg --set-selections
share|improve this question

1 Answer 1

up vote 2 down vote accepted

is it possible?

Switching between recent closely related kernels is possible - that is kernel versions 2-3 different. Any larger than this and you can run into graphical issues because todays graphics cards and drivers often need a similar kernel to work with.

I know this because my laptop is an intel based laptop. I'm running 12.04 and running the hardware-enablement stack.

Currently I'm using the 13.10 saucy stack but with the raring kernel (kernel 3.8 vs 3.11 in saucy). This works ok. When I switch to my 3.2 kernel, my laptop boots to a black screen.

Given that you are using a server, I imagine you are not running any graphics stuff anyway - or maybe just framebuffer type graphics. Thus, the graphics issues should not (in theory) apply to you.

kernel 3.2

Kernel 3.2 is the long-term supported kernel (LTS) - so it will receive the support the longest (i.e. a total 5 years from 12.04 release).

As long as you are not running any kernel device dependent software, there will be no impact in running an older kernel.

The other aspect you should consider is security updates. By pinning and holding your kernel you'll need to manually manage your kernel updates.

pinning

As to your queries - the procedure you have outlined is correct.

You may wish to consider not "pinning and holding". Instead of booting using the first kernel found in the "Previous Kernels" GRUB, you could instead boot to a named kernel

i.e.

change GRUB_DEFAULT="2>0" to GRUB_DEFAULT="2>Ubuntu, with Linux 3.2.0-24-generic"

You can obtain the grub label via the command fgrep menuentry /boot/grub/grub.cfg

share|improve this answer
    
What do you mean by manually manage kernel updates/security updates? So if I do the following I will be using the old kernel and still receive security updates?: do not place a hold on the Kernel, install the 3.2.0-24 kernel, and set the default in Grub to to boot to 3.2.0-24 –  Mintyfresh Feb 12 at 18:38
    
For example, i the kernel update is version 3.2.0-25 - because you have pinned the kernel, you will keep booting from the older security vulnerable kernel. You'll need to watch out for the kernel update and then manually update your grub. The other aspect is if you use 2>0 in your grub - an update of the 3.8 series will result in this kernel appearing at position 2>0 - so you will not be booting from the kernel 3.2 series - you'll boot from the old 3.8 series. –  fossfreedom Feb 12 at 18:45
    
The 2>0 is booting into the kernel because My Grub list is as follows: 3.8 in slot 0 , 3.8 recovery in slot 1, older kernel versions in slot 2, and then under older kernel versions 3.2.0-24 is top of list. So I do not think this would be an issue but I will probably change just in case. Thank you for clarification on the manual update question. –  Mintyfresh Feb 12 at 18:59
    
Is there a way to stick within the 3.2.0-x kernel version and still be able to run updates safely without risk of upgrading to 3.8 or 3.11? –  Mintyfresh Feb 12 at 19:13
    
@rrepko - you can always purge the 3.8 kernels and headers together with the lts-raring generic packages to prevent reinstallation. This is really another question, so please ask it - myself or another member of the community will help you. Remember - if you are still after another answer to your question, leave this question open - otherwise just click the tick symbol next to the answer to close the thread. Thanks. –  fossfreedom Feb 12 at 19:48

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.